summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Hierling <mad@cc.fh-luh.de>2006-11-04 17:25:59 +0000
committerMartin Hierling <mad@cc.fh-luh.de>2006-11-04 17:25:59 +0000
commit3a7c3f1fb145ae4cd0b471695d31f364d09e882d (patch)
tree6ba83bb7e6ef35d13b8378770b82e2ac2ee25f7a /mail-filter/libsieve/libsieve-2.2.1.ebuild
parentnet-misc/teardrop: Version bump (diff)
downloadsunrise-3a7c3f1fb145ae4cd0b471695d31f364d09e882d.tar.gz
sunrise-3a7c3f1fb145ae4cd0b471695d31f364d09e882d.tar.bz2
sunrise-3a7c3f1fb145ae4cd0b471695d31f364d09e882d.zip
mail-filter/libsieve: initial ebuild
svn path=/sunrise/; revision=1821
Diffstat (limited to 'mail-filter/libsieve/libsieve-2.2.1.ebuild')
-rw-r--r--mail-filter/libsieve/libsieve-2.2.1.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/mail-filter/libsieve/libsieve-2.2.1.ebuild b/mail-filter/libsieve/libsieve-2.2.1.ebuild
new file mode 100644
index 000000000..e7ab0e410
--- /dev/null
+++ b/mail-filter/libsieve/libsieve-2.2.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header:$
+
+inherit toolchain-funcs
+
+DESCRIPTION="A library for parsing, sorting and filtering your mail."
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+HOMEPAGE="http://libsieve.sourceforge.net/"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND="virtual/libc"
+
+src_compile() {
+ cd ${S}/src
+ econf || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install () {
+ cd ${S}/src
+ emake DESTDIR="${D}" install || die "emake install failed"
+}